# Poco::Data::MySQL

# class Utility

Library: Data/MySQL
Package: MySQL
Header: Poco/Data/MySQL/Utility.h

## Description

Various utility functions for MySQL.

## Member Summary

Member Functions: handle, hasMicrosecond, hostInfo, serverInfo, serverVersion

## Member Functions

### handle

static MYSQL * handle(
Poco::Data::Session & session
);

Returns native MySQL handle for the session.

### hasMicrosecond

static bool hasMicrosecond();

Rturns true if microseconds are suported.

### hostInfo

static std::string hostInfo(
MYSQL * pHandle
);

Returns host info.

### hostInfo

static std::string hostInfo(
Poco::Data::Session & session
);

Returns host info.

### serverInfo

static std::string serverInfo(
MYSQL * pHandle
);

Returns server info.

### serverInfo

static std::string serverInfo(
Poco::Data::Session & session
);

Returns server info.

### serverVersion

static unsigned long serverVersion(
MYSQL * pHandle
);

Returns server version.

### serverVersion

static unsigned long serverVersion(
Poco::Data::Session & session
);

Returns server version.